com.intellectualcrafters.json

## Class JSONException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.intellectualcrafters.json.JSONException

- All Implemented Interfaces:
    java.io.Serializable

      public class JSONException
      extends java.lang.RuntimeException

  The JSONException is thrown by the JSON.org classes when things are amiss.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONException(java.lang.String message)` Constructs a JSONException with an explanatory message.
    `JSONException(java.lang.Throwable cause)` Constructs a new JSONException with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of this exception or null if the cause is nonexistent or unknown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONException

          public JSONException(java.lang.String message)

      Constructs a JSONException with an explanatory message.
      Parameters:
        `message` - Detail about the reason for the exception.

    - #### JSONException

          public JSONException(java.lang.Throwable cause)

      Constructs a new JSONException with the specified cause.
      Parameters:
        `cause` - The cause.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the cause of this exception or null if the cause is nonexistent or unknown.
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        the cause of this exception or null if the cause is nonexistent or unknown.